DS_COMPARE_ARRAY_DESC(3)

FUNCTION
ds_compare_array_desc - Recursively compare two array descriptors.

SYNOPSIS
#include <karma_ds.h>

flag ds_compare_array_desc

(CONST array_desc *desc1, CONST array_desc *desc2, flag recursive)

DESCRIPTION
Recursively compare two array descriptors.

desc1
    One of the array descriptors.

desc2
    The other array descriptor.

recursive
    If TRUE the routine will perform a recursive comparison of the array packet descriptors.

RETURN VALUE
TRUE if the two array descriptors are equal, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/